Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLInputElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLInputElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, Element, EventTarget, HTMLElement, HTMLFormControl, HTMLInputElement, Node, NodeList, java.io.Serializable

public final class HTMLInputElementImpl
extends HTMLElementImpl
implements HTMLInputElement, HTMLFormControl

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:10 $
See Also:
  `HTMLInputElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLInputElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `click()` Simulate a mouse-click.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccept()` A comma-separated list of content types that a server processing this form will handle correctly.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`boolean` | `getChecked()` When the `type` attribute of the element has the value "Radio" or "Checkbox", this represents the current state of the form control, in an interactive user agent.
`boolean` | `getDefaultChecked()` When `type` has the value "Radio" or "Checkbox", this represents the HTML checked attribute of the element.
`java.lang.String` | `getDefaultValue()` When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the HTML value attribute of the element.
`boolean` | `getDisabled()` The control is unavailable in this context.
`int` | `getMaxLength()` Maximum number of characters for text fields, when `type` has the value "Text" or "Password".
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` This control is read-only.
`java.lang.String` | `getSize()` Size information.
`java.lang.String` | `getSrc()` When the `type` attribute has the value "Image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of control created.
`java.lang.String` | `getUseMap()` Use client-side image map.
`java.lang.String` | `getValue()` When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the current contents of the corresponding form control, in an interactive user agent.
`void` | `select()` Select the contents of the text area.
`void` | `setAccept(java.lang.String accept)`
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setChecked(boolean checked)`
`void` | `setDefaultChecked(boolean defaultChecked)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setMaxLength(int maxLength)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setSize(java.lang.String size)`
`void` | `setSrc(java.lang.String src)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLInputElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLInputElementImpl

    public HTMLInputElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes. Changing this attribute, however, resets the contents of the form control. See the value attribute definition in HTML 4.0.
  Specified by:
    `getDefaultValue` in interface `HTMLInputElement`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Specified by:
    `setDefaultValue` in interface `HTMLInputElement`

### getDefaultChecked

    public boolean getDefaultChecked()

  Description copied from interface: `HTMLInputElement`
  When `type` has the value "Radio" or "Checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. Changes to this attribute, however, resets the state of the form control. See the checked attribute definition in HTML 4.0.
  Specified by:
    `getDefaultChecked` in interface `HTMLInputElement`

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

  Specified by:
    `setDefaultChecked` in interface `HTMLInputElement`

### getAccept

    public java.lang.String getAccept()

  Description copied from interface: `HTMLInputElement`
  A comma-separated list of content types that a server processing this form will handle correctly. See the accept attribute definition in HTML 4.0.
  Specified by:
    `getAccept` in interface `HTMLInputElement`

### setAccept

    public void setAccept(java.lang.String accept)

  Specified by:
    `setAccept` in interface `HTMLInputElement`

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `HTMLInputElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.
  Specified by:
    `getAccessKey` in interface `HTMLInputElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `HTMLInputElement`

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: `HTMLInputElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    `getAlign` in interface `HTMLInputElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `HTMLInputElement`

### getAlt

    public java.lang.String getAlt()

  Description copied from interface: `HTMLInputElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.
  Specified by:
    `getAlt` in interface `HTMLInputElement`

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    `setAlt` in interface `HTMLInputElement`

### getChecked

    public boolean getChecked()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "Radio" or "Checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML value attribute of the element.
  Specified by:
    `getChecked` in interface `HTMLInputElement`

### setChecked

    public void setChecked(boolean checked)

  Specified by:
    `setChecked` in interface `HTMLInputElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLInputElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.
  Specified by:
    `getDisabled` in interface `HTMLInputElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `HTMLInputElement`

### getMaxLength

    public int getMaxLength()

  Description copied from interface: `HTMLInputElement`
  Maximum number of characters for text fields, when `type` has the value "Text" or "Password". See the maxlength attribute definition in HTML 4.0.
  Specified by:
    `getMaxLength` in interface `HTMLInputElement`

### setMaxLength

    public void setMaxLength(int maxLength)

  Specified by:
    `setMaxLength` in interface `HTMLInputElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `HTMLInputElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.
  Specified by:
    `getName` in interface `HTMLInputElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `HTMLInputElement`

### getReadOnly

    public boolean getReadOnly()

  Description copied from interface: `HTMLInputElement`
  This control is read-only. Relevant only when `type` has the value "Text" or "Password". See the readonly attribute definition in HTML 4.0.
  Specified by:
    `getReadOnly` in interface `HTMLInputElement`
  Overrides:
    `getReadOnly` in class `NodeImpl`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    `setReadOnly` in interface `HTMLInputElement`

### getSize

    public java.lang.String getSize()

  Description copied from interface: `HTMLInputElement`
  Size information. The precise meaning is specific to each type of field. See the size attribute definition in HTML 4.0.
  Specified by:
    `getSize` in interface `HTMLInputElement`

### setSize

    public void setSize(java.lang.String size)

  Specified by:
    `setSize` in interface `HTMLInputElement`

### getSrc

    public java.lang.String getSrc()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute has the value "Image", this attribute specifies the location of the image to be used to decorate the graphical submit button. See the src attribute definition in HTML 4.0.
  Specified by:
    `getSrc` in interface `HTMLInputElement`

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    `setSrc` in interface `HTMLInputElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLInputElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.
  Specified by:
    `getTabIndex` in interface `HTMLInputElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `HTMLInputElement`

### getType

    public java.lang.String getType()

  Description copied from interface: `HTMLInputElement`
  The type of control created. See the type attribute definition in HTML 4.0.
  Specified by:
    `getType` in interface `HTMLInputElement`

### getUseMap

    public java.lang.String getUseMap()

  Description copied from interface: `HTMLInputElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.0.
  Specified by:
    `getUseMap` in interface `HTMLInputElement`

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    `setUseMap` in interface `HTMLInputElement`

### getValue

    public java.lang.String getValue()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "Text", "File" or "Password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the `type` attribute of the element has the value "Button", "Hidden", "Submit", "Reset", "Image", "Checkbox" or "Radio", this represents the HTML value attribute of the element. See the value attribute definition in HTML 4.0.
  Specified by:
    `getValue` in interface `HTMLInputElement`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `HTMLInputElement`

### blur

    public void blur()

  Description copied from interface: `HTMLInputElement`
  Removes keyboard focus from this element.
  Specified by:
    `blur` in interface `HTMLInputElement`

### focus

    public void focus()

  Description copied from interface: `HTMLInputElement`
  Gives keyboard focus to this element.
  Specified by:
    `focus` in interface `HTMLInputElement`

### select

    public void select()

  Description copied from interface: `HTMLInputElement`
  Select the contents of the text area. For `INPUT` elements whose `type` attribute has one of the following values: "Text", "File", or "Password".
  Specified by:
    `select` in interface `HTMLInputElement`

### click

    public void click()

  Description copied from interface: `HTMLInputElement`
  Simulate a mouse-click. For `INPUT` elements whose `type` attribute has one of the following values: "Button", "Checkbox", "Radio", "Reset", or "Submit".
  Specified by:
    `click` in interface `HTMLInputElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD